Public Class BooksSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Title = 0
		PubDate = 1
		ID = 2
		Book = 3
		Parents = 4
		RType = 5
		RID = 6

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetTitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Title)

	End Function

	Public Function GetPubDate() As String

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.PubDate)

	End Function

	Public Function GetID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ID)

	End Function

	Public Function GetBook() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Book)

	End Function

	Public Function GetParents() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Parents)

	End Function

	Public Function GetRType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.RType)

	End Function

	Public Function GetRID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.RID)

	End Function




End Class
