Public Class DomainsSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		MmdbId = 0
		PdbAcc = 1
		PdbDescr = 2
		PdbClass = 3
		ModResCount = 4
		DomainNo = 5
		CumulDomainNo = 6
		HelixCount = 7
		StrandCount = 8
		ResCount = 9
		MolWeight = 10
		NameField = 11
		DepositDate = 12
		ModifyDate = 13

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetMmdbId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.MmdbId)

	End Function

	Public Function GetPdbAcc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbAcc)

	End Function

	Public Function GetPdbDescr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbDescr)

	End Function

	Public Function GetPdbClass() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbClass)

	End Function

	Public Function GetModResCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ModResCount)

	End Function

	Public Function GetDomainNo() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.DomainNo)

	End Function

	Public Function GetCumulDomainNo() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.CumulDomainNo)

	End Function

	Public Function GetHelixCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.HelixCount)

	End Function

	Public Function GetStrandCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.StrandCount)

	End Function

	Public Function GetResCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ResCount)

	End Function

	Public Function GetMolWeight() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MolWeight)

	End Function

	Public Function GetNameField() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NameField)

	End Function

	Public Function GetDepositDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DepositDate)

	End Function

	Public Function GetModifyDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ModifyDate)

	End Function




End Class
