Public Class GeneSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		NameField = 0
		Description = 1
		Orgname = 2
		Status = 3
		CurrentID = 4
		Chromosome = 5
		GeneticSource = 6
		MapLocation = 7
		OtherAliases = 8
		OtherDesignations = 9
		NomenclatureSymbol = 10
		NomenclatureName = 11
		NomenclatureStatus = 12
		TaxID = 13
		Mim = 14
		GenomicInfo = 15

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetNameField() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NameField)

	End Function

	Public Function GetDescription() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Description)

	End Function

	Public Function GetOrgname() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Orgname)

	End Function

	Public Function GetStatus() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Status)

	End Function

	Public Function GetCurrentID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.CurrentID)

	End Function

	Public Function GetChromosome() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Chromosome)

	End Function

	Public Function GetGeneticSource() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneticSource)

	End Function

	Public Function GetMapLocation() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MapLocation)

	End Function

	Public Function GetOtherAliases() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OtherAliases)

	End Function

	Public Function GetOtherDesignations() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OtherDesignations)

	End Function

	Public Function GetNomenclatureSymbol() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NomenclatureSymbol)

	End Function

	Public Function GetNomenclatureName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NomenclatureName)

	End Function

	Public Function GetNomenclatureStatus() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NomenclatureStatus)

	End Function

	Public Function GetTaxID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TaxID)

	End Function

	Public Function GetMim() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.Mim)

	End Function

	Public Function GetGenomicInfo() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.GenomicInfo)

	End Function




End Class
