Public Class GenomeprjSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		OrganismName = 0
		OrganismKingdom = 1
		OrganismGroup = 2
		Center = 3
		SequencingStatus = 4
		ProjectType = 5
		GenomeSize = 6
		NumberofChromosomes = 7
		TraceSpeciesCode = 8
		TraceCenterName = 9
		TraceTypeCode = 10
		Defline = 11
		NumberofMitochondrion = 12
		NumberofPlastid = 13
		NumberofPlasmid = 14
		CreateDate = 15
		ReleaseDate = 16
		Options = 17

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetOrganismName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OrganismName)

	End Function

	Public Function GetOrganismKingdom() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OrganismKingdom)

	End Function

	Public Function GetOrganismGroup() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OrganismGroup)

	End Function

	Public Function GetCenter() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Center)

	End Function

	Public Function GetSequencingStatus() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SequencingStatus)

	End Function

	Public Function GetProjectType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ProjectType)

	End Function

	Public Function GetGenomeSize() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GenomeSize)

	End Function

	Public Function GetNumberofChromosomes() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NumberofChromosomes)

	End Function

	Public Function GetTraceSpeciesCode() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TraceSpeciesCode)

	End Function

	Public Function GetTraceCenterName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TraceCenterName)

	End Function

	Public Function GetTraceTypeCode() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TraceTypeCode)

	End Function

	Public Function GetDefline() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Defline)

	End Function

	Public Function GetNumberofMitochondrion() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NumberofMitochondrion)

	End Function

	Public Function GetNumberofPlastid() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NumberofPlastid)

	End Function

	Public Function GetNumberofPlasmid() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NumberofPlasmid)

	End Function

	Public Function GetCreateDate() As String

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.CreateDate)

	End Function

	Public Function GetReleaseDate() As String

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.ReleaseDate)

	End Function

	Public Function GetOptions() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Options)

	End Function




End Class
