Public Class GensatSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		ImageId = 0
		ImageWidthFull = 1
		ImageHeightFull = 2
		ImageWidthMed = 3
		ImageHeightMed = 4
		ImageWidthIcon = 5
		ImageHeightIcon = 6
		GeneId = 7
		GeneName = 8
		GeneSymbol = 9
		GeneAlias = 10
		GenbankId = 11
		Accession = 12
		Organism = 13
		BacAddr = 14
		BacMarker = 15
		MgiId = 16
		Technique = 17
		Stain = 18
		Magnification = 19
		Age = 20
		Sex = 21
		SectionPlane = 22
		SectionLevel = 23
		AnnotationList = 24

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetImageId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageId)

	End Function

	Public Function GetImageWidthFull() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageWidthFull)

	End Function

	Public Function GetImageHeightFull() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageHeightFull)

	End Function

	Public Function GetImageWidthMed() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageWidthMed)

	End Function

	Public Function GetImageHeightMed() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageHeightMed)

	End Function

	Public Function GetImageWidthIcon() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageWidthIcon)

	End Function

	Public Function GetImageHeightIcon() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ImageHeightIcon)

	End Function

	Public Function GetGeneId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.GeneId)

	End Function

	Public Function GetGeneName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneName)

	End Function

	Public Function GetGeneSymbol() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneSymbol)

	End Function

	Public Function GetGeneAlias() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneAlias)

	End Function

	Public Function GetGenbankId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.GenbankId)

	End Function

	Public Function GetAccession() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Accession)

	End Function

	Public Function GetOrganism() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Organism)

	End Function

	Public Function GetBacAddr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BacAddr)

	End Function

	Public Function GetBacMarker() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.BacMarker)

	End Function

	Public Function GetMgiId() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.MgiId)

	End Function

	Public Function GetTechnique() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Technique)

	End Function

	Public Function GetStain() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Stain)

	End Function

	Public Function GetMagnification() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Magnification)

	End Function

	Public Function GetAge() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Age)

	End Function

	Public Function GetSex() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Sex)

	End Function

	Public Function GetSectionPlane() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SectionPlane)

	End Function

	Public Function GetSectionLevel() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SectionLevel)

	End Function

	Public Function GetAnnotationList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.AnnotationList)

	End Function




End Class
