Public Class GeoSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		GDS = 0
		ERANK = 1
		EVALUE = 2
		title = 3
		summary = 4
		GPL = 5
		GSE = 6
		taxon = 7
		taxidL = 8
		GSML = 9
		gdsType = 10
		valType = 11
		idref = 12
		ORF = 13
		geneDesc = 14
		geneName = 15
		nucDesc = 16
		UGName = 17
		UGDesc = 18
		cloneID = 19
		GBACC = 20
		PTACC = 21
		SPOTID = 22
		gi = 23
		SAGEmap = 24
		AliasField = 25
		SUBSAMPL = 26
		SUBTYPESL = 27
		VMIN = 28
		VMAX = 29
		outliers = 30
		abscallschain = 31
		AFLAG = 32
		AOUTL = 33
		RSTD = 34
		RMEAN = 35

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetGDS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GDS)

	End Function

	Public Function GetERANK() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ERANK)

	End Function

	Public Function GetEVALUE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.EVALUE)

	End Function

	Public Function Gettitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.title)

	End Function

	Public Function Getsummary() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.summary)

	End Function

	Public Function GetGPL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GPL)

	End Function

	Public Function GetGSE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GSE)

	End Function

	Public Function Gettaxon() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.taxon)

	End Function

	Public Function GettaxidL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.taxidL)

	End Function

	Public Function GetGSML() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GSML)

	End Function

	Public Function GetgdsType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.gdsType)

	End Function

	Public Function GetvalType() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.valType)

	End Function

	Public Function Getidref() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.idref)

	End Function

	Public Function GetORF() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ORF)

	End Function

	Public Function GetgeneDesc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.geneDesc)

	End Function

	Public Function GetgeneName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.geneName)

	End Function

	Public Function GetnucDesc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.nucDesc)

	End Function

	Public Function GetUGName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.UGName)

	End Function

	Public Function GetUGDesc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.UGDesc)

	End Function

	Public Function GetcloneID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.cloneID)

	End Function

	Public Function GetGBACC() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GBACC)

	End Function

	Public Function GetPTACC() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PTACC)

	End Function

	Public Function GetSPOTID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SPOTID)

	End Function

	Public Function Getgi() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.gi)

	End Function

	Public Function GetSAGEmap() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SAGEmap)

	End Function

	Public Function GetAliasField() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.AliasField)

	End Function

	Public Function GetSUBSAMPL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SUBSAMPL)

	End Function

	Public Function GetSUBTYPESL() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SUBTYPESL)

	End Function

	Public Function GetVMIN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.VMIN)

	End Function

	Public Function GetVMAX() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.VMAX)

	End Function

	Public Function Getoutliers() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.outliers)

	End Function

	Public Function Getabscallschain() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.abscallschain)

	End Function

	Public Function GetAFLAG() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AFLAG)

	End Function

	Public Function GetAOUTL() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AOUTL)

	End Function

	Public Function GetRSTD() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.RSTD)

	End Function

	Public Function GetRMEAN() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.RMEAN)

	End Function




End Class
