Public Class JournalsSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Title = 0
		MedAbbr = 1
		IsoAbbr = 2
		NlmId = 3
		pISSN = 4
		eISSN = 5
		PublicationStartYear = 6
		PublicationEndYear = 7
		Publisher = 8
		Language = 9
		Country = 10
		BroadHeading = 11
		ContinuationNotes = 12

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetTitle() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Title)

	End Function

	Public Function GetMedAbbr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MedAbbr)

	End Function

	Public Function GetIsoAbbr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.IsoAbbr)

	End Function

	Public Function GetNlmId() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NlmId)

	End Function

	Public Function GetpISSN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.pISSN)

	End Function

	Public Function GeteISSN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.eISSN)

	End Function

	Public Function GetPublicationStartYear() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PublicationStartYear)

	End Function

	Public Function GetPublicationEndYear() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PublicationEndYear)

	End Function

	Public Function GetPublisher() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Publisher)

	End Function

	Public Function GetLanguage() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Language)

	End Function

	Public Function GetCountry() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Country)

	End Function

	Public Function GetBroadHeading() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.BroadHeading)

	End Function

	Public Function GetContinuationNotes() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ContinuationNotes)

	End Function




End Class
