Public Class MeshSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
        DSYearIntroduced = 0
        DSScopeNote = 1
        DSRegistryNumber = 2
        DSHeadingMappedTo = 3
        DSMeshTerms = 4
        DSSubheading = 5
        DSPaPx = 6
        DSPreviousIndexing = 7
        DSSeeRelated = 8
        DSPaList = 9
        DSIdxLinks = 10
        DSEntryDate = 11
        DSRevisionDate = 12
        DSHeadingMappedToList = 13

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function


    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw New NotImplementedException("")

    End Function

#End Region



    Public Function GetDSYearIntroduced() As String

        Return MyBase.GetString(Me.docSumField, ItemTypeField.DSYearIntroduced)

    End Function

    Public Function GetDSScopeNote() As String

        Return MyBase.GetString(Me.docSumField, ItemTypeField.DSScopeNote)

    End Function

    Public Function GetDSRegistryNumber() As String

        Return MyBase.GetString(Me.docSumField, ItemTypeField.DSRegistryNumber)

    End Function

    Public Function GetDSHeadingMappedTo() As String

        Return MyBase.GetString(Me.docSumField, ItemTypeField.DSHeadingMappedTo)

    End Function

    Public Function GetDSMeshTerms() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSMeshTerms)

    End Function

    Public Function GetDSSubheading() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSSubheading)

    End Function

    Public Function GetDSPaPx() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSPaPx)

    End Function

    Public Function GetDSPreviousIndexing() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSPreviousIndexing)

    End Function

    Public Function GetDSSeeRelated() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSSeeRelated)

    End Function

    Public Function GetDSPaList() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSPaList)

    End Function

    Public Function GetDSIdxLinks() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSIdxLinks)

    End Function

    Public Function GetDSEntryDate() As String

        Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.DSEntryDate)

    End Function

    Public Function GetDSRevisionDate() As String

        Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.DSRevisionDate)

    End Function

    Public Function GetDSHeadingMappedToList() As String()

        Return MyBase.GetList(Me.docSumField, ItemTypeField.DSHeadingMappedToList)

    End Function




End Class
