Public Class NlmcatalogSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Host = 0
		NLMUniqueID = 1
		AuthorList = 2
		PublicationInfoList = 3
		ResourceInfoList = 4
		TitleMainList = 5
		TitleOtherList = 6
		ISSN = 7
		ISBN = 8

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetHost() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Host)

	End Function

	Public Function GetNLMUniqueID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NLMUniqueID)

	End Function

	Public Function GetAuthorList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.AuthorList)

	End Function

	Public Function GetPublicationInfoList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.PublicationInfoList)

	End Function

	Public Function GetResourceInfoList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.ResourceInfoList)

	End Function

	Public Function GetTitleMainList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.TitleMainList)

	End Function

	Public Function GetTitleOtherList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.TitleOtherList)

	End Function

	Public Function GetISSN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ISSN)

	End Function

	Public Function GetISBN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ISBN)

	End Function




End Class
