Public Class OmiaSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		Phenotype = 0
		PhenotypeSummary = 1
		OMIAID = 2
		MPList = 3
		SpeciesPhenotypeName = 4
		SpeciesPhenotypeSummary = 5
		AcrossSpeciesSynonymList = 6
		TaxonomyID = 7
		SciName = 8
		CommonName = 9
		Breed = 10
		ClinicalFeature = 11
		GeneticTest = 12
		MolecularGenetics = 13
		Pathology = 14
		Prevalence = 15
		GeneList = 16
		ComputedGeneList = 17
		OMIMID = 18
		Inheritance = 19
		InheritText = 20
		ReferenceList = 21
		PubMedList = 22
		CurationState = 23

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetPhenotype() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Phenotype)

	End Function

	Public Function GetPhenotypeSummary() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PhenotypeSummary)

	End Function

	Public Function GetOMIAID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.OMIAID)

	End Function

	Public Function GetMPList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.MPList)

	End Function

	Public Function GetSpeciesPhenotypeName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SpeciesPhenotypeName)

	End Function

	Public Function GetSpeciesPhenotypeSummary() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SpeciesPhenotypeSummary)

	End Function

	Public Function GetAcrossSpeciesSynonymList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.AcrossSpeciesSynonymList)

	End Function

	Public Function GetTaxonomyID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TaxonomyID)

	End Function

	Public Function GetSciName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SciName)

	End Function

	Public Function GetCommonName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CommonName)

	End Function

	Public Function GetBreed() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.Breed)

	End Function

	Public Function GetClinicalFeature() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ClinicalFeature)

	End Function

	Public Function GetGeneticTest() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneticTest)

	End Function

	Public Function GetMolecularGenetics() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MolecularGenetics)

	End Function

	Public Function GetPathology() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Pathology)

	End Function

	Public Function GetPrevalence() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Prevalence)

	End Function

	Public Function GetGeneList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.GeneList)

	End Function

	Public Function GetComputedGeneList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.ComputedGeneList)

	End Function

	Public Function GetOMIMID() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.OMIMID)

	End Function

	Public Function GetInheritance() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Inheritance)

	End Function

	Public Function GetInheritText() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.InheritText)

	End Function

	Public Function GetReferenceList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.ReferenceList)

	End Function

	Public Function GetPubMedList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.PubMedList)

	End Function

	Public Function GetCurationState() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CurationState)

	End Function




End Class
