Public Class PcassaySummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		AssayName = 0
		AssayDescription = 1
		ReadoutCount = 2
		SourceName = 3
		ActiveSidCount = 4
		InactiveSidCount = 5
		InconclusiveSidCount = 6
		TotalSidCount = 7
		XRefDburlList = 8
		XRefAsurlList = 9
		ModifyDate = 10
		DepositDate = 11

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetAssayName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.AssayName)

	End Function

	Public Function GetAssayDescription() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.AssayDescription)

	End Function

	Public Function GetReadoutCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ReadoutCount)

	End Function

	Public Function GetSourceName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SourceName)

	End Function

	Public Function GetActiveSidCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ActiveSidCount)

	End Function

	Public Function GetInactiveSidCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.InactiveSidCount)

	End Function

	Public Function GetInconclusiveSidCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.InconclusiveSidCount)

	End Function

	Public Function GetTotalSidCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TotalSidCount)

	End Function

	Public Function GetXRefDburlList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.XRefDburlList)

	End Function

	Public Function GetXRefAsurlList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.XRefAsurlList)

	End Function

	Public Function GetModifyDate() As STring

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.ModifyDate)

	End Function

	Public Function GetDepositDate() As STring

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.DepositDate)

	End Function




End Class
