Public Class PcsubstanceSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		SourceName = 0
		SourceID = 1
		SourceCategoryList = 2
		SourceReleaseDate = 3
		DepositDate = 4
		ModifyDate = 5
		RegistryNumber = 6
		DBUrl = 7
		SBUrl = 8
		SynonymList = 9
		MeSHHeadingList = 10
		MeSHTermList = 11
		PharmActionList = 12
		CommentList = 13
		IUPACName = 14
		CanonicalSmile = 15
		RotatableBondCount = 16
		MolecularFormula = 17
		MolecularWeight = 18
		TotalFormalCharge = 19
		XLogP = 20
		HydrogenBondDonorCount = 21
		HydrogenBondAcceptorCount = 22
		Complexity = 23
		HeavyAtomCount = 24
		AtomChiralCount = 25
		AtomChiralDefCount = 26
		AtomChiralUndefCount = 27
		BondChiralCount = 28
		BondChiralDefCount = 29
		BondChiralUndefCount = 30
		IsotopeAtomCount = 31
		CovalentUnitCount = 32
		TautomerCount = 33
		CompoundIDList = 34
		TPSA = 35
		AssaySourceNameList = 36

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetSourceName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SourceName)

	End Function

	Public Function GetSourceID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SourceID)

	End Function

	Public Function GetSourceCategoryList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.SourceCategoryList)

	End Function

	Public Function GetSourceReleaseDate() As string

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.SourceReleaseDate)

	End Function

	Public Function GetDepositDate() As string

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.DepositDate)

	End Function

	Public Function GetModifyDate() As string

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.ModifyDate)

	End Function

	Public Function GetRegistryNumber() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.RegistryNumber)

	End Function

	Public Function GetDBUrl() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DBUrl)

	End Function

	Public Function GetSBUrl() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SBUrl)

	End Function

	Public Function GetSynonymList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.SynonymList)

	End Function

	Public Function GetMeSHHeadingList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.MeSHHeadingList)

	End Function

	Public Function GetMeSHTermList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.MeSHTermList)

	End Function

	Public Function GetPharmActionList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.PharmActionList)

	End Function

	Public Function GetCommentList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.CommentList)

	End Function

	Public Function GetIUPACName() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.IUPACName)

	End Function

	Public Function GetCanonicalSmile() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CanonicalSmile)

	End Function

	Public Function GetRotatableBondCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.RotatableBondCount)

	End Function

	Public Function GetMolecularFormula() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MolecularFormula)

	End Function

	Public Function GetMolecularWeight() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.MolecularWeight)

	End Function

	Public Function GetTotalFormalCharge() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TotalFormalCharge)

	End Function

	Public Function GetXLogP() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.XLogP)

	End Function

	Public Function GetHydrogenBondDonorCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.HydrogenBondDonorCount)

	End Function

	Public Function GetHydrogenBondAcceptorCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.HydrogenBondAcceptorCount)

	End Function

	Public Function GetComplexity() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Complexity)

	End Function

	Public Function GetHeavyAtomCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.HeavyAtomCount)

	End Function

	Public Function GetAtomChiralCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AtomChiralCount)

	End Function

	Public Function GetAtomChiralDefCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AtomChiralDefCount)

	End Function

	Public Function GetAtomChiralUndefCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AtomChiralUndefCount)

	End Function

	Public Function GetBondChiralCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.BondChiralCount)

	End Function

	Public Function GetBondChiralDefCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.BondChiralDefCount)

	End Function

	Public Function GetBondChiralUndefCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.BondChiralUndefCount)

	End Function

	Public Function GetIsotopeAtomCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.IsotopeAtomCount)

	End Function

	Public Function GetCovalentUnitCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.CovalentUnitCount)

	End Function

	Public Function GetTautomerCount() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TautomerCount)

	End Function

	Public Function GetCompoundIDList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.CompoundIDList)

	End Function

	Public Function GetTPSA() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TPSA)

	End Function

	Public Function GetAssaySourceNameList() As String()

		Return MyBase.GetList(Me.docSumField, ItemTypeField.AssaySourceNameList)

	End Function




End Class
