Public Class PmcSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
        Author = 0
        Title = 1
        PubDate = 2
        ePubDate = 3
        Journal = 4
        Volume = 5
        Issue = 6
        Pagination = 7
        PmId = 8
        SortDate = 9
        Links = 10
        PmcLiveDate = 11

    End Enum


    Public Function GetAuthor() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Author.ToString))

    End Function

    Public Function GetTitle() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Title.ToString))

    End Function

    Public Function GetPubDate() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.PubDate.ToString))

    End Function

    Public Function GetEPubDate() As String

        Return MyBase.GetDateTime(Me.GetFieldIndex(ItemTypeField.ePubDate.ToString)).ToShortDateString

    End Function

    Public Function GetJournal() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Journal.ToString))

    End Function

    Public Function GetVolume() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Volume.ToString), True)

    End Function

    Public Function GetIssue() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Issue.ToString), True)

    End Function

    Public Function GetPagination() As String



        Dim pages As String = MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Pagination.ToString), False)

        If pages.StartsWith(":") Then

            Return pages.Replace(":", String.Empty)

        End If

        Return pages

    End Function

    Public Function GetPmId() As Integer

        Return MyBase.GetInteger(Me.GetFieldIndex(ItemTypeField.PmId.ToString))

    End Function

    Public Function GetSortDate() As String

        Return MyBase.GetDateTime(Me.GetFieldIndex(ItemTypeField.SortDate.ToString)).ToShortDateString

    End Function

    Public Function GetLinks() As String

        Return MyBase.GetString(Me.GetFieldIndex(ItemTypeField.Links.ToString))

    End Function

    Public Function GetPmcLiveDate() As String

        Return MyBase.GetDateTime(Me.GetFieldIndex(ItemTypeField.PmcLiveDate.ToString)).ToShortDateString

    End Function




End Class
