Public Class ProteinclustersSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		ACCN = 0
		Definition = 1
		TotalProts = 2
		Totalgenera = 3
		Totaldups = 4
		Pmids = 5
		Gene = 6
		GeneSynonym = 7
		Comment = 8
		COG = 9
		EC = 10
		HAMAP = 11
		KO = 12
		CreateDate = 13
		ModDate = 14
		Domains = 15
		CommonTaxonomy = 16
		Paralogs = 17
		COGgroup = 18
		AverageLength = 19
		TotalPublications = 20
		Source = 21

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetACCN() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ACCN)

	End Function

	Public Function GetDefinition() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Definition)

	End Function

	Public Function GetTotalProts() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TotalProts)

	End Function

	Public Function GetTotalgenera() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Totalgenera)

	End Function

	Public Function GetTotaldups() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Totaldups)

	End Function

	Public Function GetPmids() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Pmids)

	End Function

	Public Function GetGene() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Gene)

	End Function

	Public Function GetGeneSynonym() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GeneSynonym)

	End Function

	Public Function GetComment() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Comment)

	End Function

	Public Function GetCOG() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.COG)

	End Function

	Public Function GetEC() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.EC)

	End Function

	Public Function GetHAMAP() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.HAMAP)

	End Function

	Public Function GetKO() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.KO)

	End Function

	Public Function GetCreateDate() As string

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.CreateDate)

	End Function

	Public Function GetModDate() As string

		Return MyBase.GetDateTime(Me.docSumField, ItemTypeField.ModDate)

	End Function

	Public Function GetDomains() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Domains)

	End Function

	Public Function GetCommonTaxonomy() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CommonTaxonomy)

	End Function

	Public Function GetParalogs() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.Paralogs)

	End Function

	Public Function GetCOGgroup() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.COGgroup)

	End Function

	Public Function GetAverageLength() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.AverageLength)

	End Function

	Public Function GetTotalPublications() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TotalPublications)

	End Function

	Public Function GetSource() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Source)

	End Function




End Class
