Public Class SnpSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		SNPID = 0
		Organism = 1
		GENE = 2
		LOCUSID = 3
		ACC = 4
		CHR = 5
		WEIGHT = 6
		HANDLE = 7
		FXNCLASS = 8
		VALIDATED = 9
		GTYPE = 10
		NONREF = 11
		DOCSUM = 12
		HET = 13
		SRATE = 14
		TAXID = 15
		CHRRPT = 16
		ORIGBUILD = 17
		UPDBUILD = 18
		CREATEDATE = 19
		UPDATEDATE = 20
		POPCLASS = 21
		METHODCLASS = 22
		SNP3D = 23
		LINKOUT = 24
		SS = 25
		LOCSNPID = 26
		ALLELE = 27
		SNPCLASS = 28
		CHRPOS = 29
		CONTIGPOS = 30
		TEXT = 31
		LOOKUP = 32

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetSNPID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.SNPID)

	End Function

	Public Function GetOrganism() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Organism)

	End Function

	Public Function GetGENE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GENE)

	End Function

	Public Function GetLOCUSID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.LOCUSID)

	End Function

	Public Function GetACC() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ACC)

	End Function

	Public Function GetCHR() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CHR)

	End Function

	Public Function GetWEIGHT() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.WEIGHT)

	End Function

	Public Function GetHANDLE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.HANDLE)

	End Function

	Public Function GetFXNCLASS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.FXNCLASS)

	End Function

	Public Function GetVALIDATED() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.VALIDATED)

	End Function

	Public Function GetGTYPE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GTYPE)

	End Function

	Public Function GetNONREF() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.NONREF)

	End Function

	Public Function GetDOCSUM() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DOCSUM)

	End Function

	Public Function GetHET() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.HET)

	End Function

	Public Function GetSRATE() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.SRATE)

	End Function

	Public Function GetTAXID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TAXID)

	End Function

	Public Function GetCHRRPT() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CHRRPT)

	End Function

	Public Function GetORIGBUILD() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ORIGBUILD)

	End Function

	Public Function GetUPDBUILD() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.UPDBUILD)

	End Function

	Public Function GetCREATEDATE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CREATEDATE)

	End Function

	Public Function GetUPDATEDATE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.UPDATEDATE)

	End Function

	Public Function GetPOPCLASS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.POPCLASS)

	End Function

	Public Function GetMETHODCLASS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.METHODCLASS)

	End Function

	Public Function GetSNP3D() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SNP3D)

	End Function

	Public Function GetLINKOUT() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LINKOUT)

	End Function

	Public Function GetSS() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.SS)

	End Function

	Public Function GetLOCSNPID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LOCSNPID)

	End Function

	Public Function GetALLELE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ALLELE)

	End Function

	Public Function GetSNPCLASS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.SNPCLASS)

	End Function

	Public Function GetCHRPOS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CHRPOS)

	End Function

	Public Function GetCONTIGPOS() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CONTIGPOS)

	End Function

	Public Function GetTEXT() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TEXT)

	End Function

	Public Function GetLOOKUP() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LOOKUP)

	End Function




End Class
