Public Class StructureSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		PdbAcc = 0
		PdbDescr = 1
		EC = 2
		Resolution = 3
		ExpMethod = 4
		PdbClass = 5
		PdbReleaseDate = 6
		PdbDepositDate = 7
		DepositDate = 8
		ModifyDate = 9
		LigCode = 10
		LigCount = 11
		ModProteinResCount = 12
		ModDNAResCount = 13
		ModRNAResCount = 14
		ProteinChainCount = 15
		DNAChainCount = 16
		RNAChainCount = 17

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetPdbAcc() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbAcc)

	End Function

	Public Function GetPdbDescr() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbDescr)

	End Function

	Public Function GetEC() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.EC)

	End Function

	Public Function GetResolution() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.Resolution)

	End Function

	Public Function GetExpMethod() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ExpMethod)

	End Function

	Public Function GetPdbClass() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbClass)

	End Function

	Public Function GetPdbReleaseDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbReleaseDate)

	End Function

	Public Function GetPdbDepositDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.PdbDepositDate)

	End Function

	Public Function GetDepositDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DepositDate)

	End Function

	Public Function GetModifyDate() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ModifyDate)

	End Function

	Public Function GetLigCode() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LigCode)

	End Function

	Public Function GetLigCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.LigCount)

	End Function

	Public Function GetModProteinResCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ModProteinResCount)

	End Function

	Public Function GetModDNAResCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ModDNAResCount)

	End Function

	Public Function GetModRNAResCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ModRNAResCount)

	End Function

	Public Function GetProteinChainCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ProteinChainCount)

	End Function

	Public Function GetDNAChainCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.DNAChainCount)

	End Function

	Public Function GetRNAChainCount() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.RNAChainCount)

	End Function




End Class
