Public Class UnigeneSummary
    Inherits SummaryDataRecord

    Public Enum ItemTypeField
		TITLE = 0
		CHROMOSOME = 1
		ORGANISM = 2
		GENE = 3
		CLUSTERID = 4
		TAXID = 5
		SEQCOUNT = 6
		ESTCOUNT = 7

    End Enum


#Region "Base Methods"

    Public Overrides ReadOnly Property FieldCount() As Integer
        Get
            Return MyBase.GetFieldCount(Of ItemTypeField)()
        End Get
    End Property

    Public Overloads Overrides ReadOnly Property Item(ByVal name As String) As Object
        Get
            Return MyBase.GetItem(Of ItemTypeField)(name)
        End Get
    End Property


    Public Overloads Overrides Function GetSchemaTable() As System.Data.DataTable

        Return MyBase.GetSchemaTable(Of ItemTypeField)()

    End Function

    Public Overrides Function GetName(ByVal i As Integer) As String

        Return MyBase.GetName(Of ItemTypeField)(i)

    End Function

    Public Overrides Function GetOrdinal(ByVal name As String) As Integer

        Return MyBase.GetOrdinal(Of ItemTypeField)(name)

    End Function

    
    Public Overrides Function GetData(ByVal i As Integer) As System.Data.IDataReader

        Throw new NotImplementedException("")

    End Function

#End Region



	Public Function GetTITLE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.TITLE)

	End Function

	Public Function GetCHROMOSOME() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CHROMOSOME)

	End Function

	Public Function GetORGANISM() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.ORGANISM)

	End Function

	Public Function GetGENE() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.GENE)

	End Function

	Public Function GetCLUSTERID() As String

		Return MyBase.GetString(Me.docSumField, ItemTypeField.CLUSTERID)

	End Function

	Public Function GetTAXID() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.TAXID)

	End Function

	Public Function GetSEQCOUNT() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.SEQCOUNT)

	End Function

	Public Function GetESTCOUNT() As Integer

		Return MyBase.GetInteger(Me.docSumField, ItemTypeField.ESTCOUNT)

	End Function




End Class
